-- MySQL dump 10.13  Distrib 5.7.27, for Win64 (x86_64)
--
-- Host: localhost    Database: dlp_identification_material_repository
-- ------------------------------------------------------
-- Server version	5.7.27-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `dlp_identification_material_repository`
--

/*!40000 DROP DATABASE IF EXISTS `dlp_identification_material_repository`*/;

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dlp_identification_material_repository` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `dlp_identification_material_repository`;

--
-- Table structure for table `b_sample_storage`
--

DROP TABLE IF EXISTS `b_sample_storage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `b_sample_storage` (
  `id` varchar(255) NOT NULL COMMENT '主键id',
  `sample_id` varchar(50) NOT NULL COMMENT '存储的样本id',
  `storage_location` varchar(255) DEFAULT NULL COMMENT '存储位置',
  `status` int(5) NOT NULL COMMENT '状态:已出库/已入库/待存放',
  `in_repository_date` datetime DEFAULT NULL COMMENT '入库时间',
  `storage_cell_id` varchar(255) DEFAULT NULL COMMENT '存储格子id',
  `storage_date` datetime DEFAULT NULL COMMENT '存储期限',
  `depositor_id` varchar(255) DEFAULT NULL COMMENT '存放人id',
  `recipient_id` varchar(255) DEFAULT NULL COMMENT '领取人id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '修改人',
  `early_warning` int(10) DEFAULT NULL COMMENT '销毁预警:0.还未到销毁;1.已到销毁时间',
  `out_repository_date` datetime DEFAULT NULL COMMENT '出库时间',
  `quality` decimal(10,5) DEFAULT NULL COMMENT '入库时的质量/体积',
  `unit` varchar(255) DEFAULT NULL COMMENT '质量/体积计量单位',
  `name` varchar(255) DEFAULT NULL COMMENT '样本名称',
  `sample_type` varchar(255) DEFAULT NULL COMMENT '样本类型',
  `return_time` datetime DEFAULT NULL COMMENT '出库归还时间',
  `is_return` int(2) DEFAULT NULL COMMENT '出库后是否需要归还(1.需要归还-1不需要归还)',
  `purpose` varchar(255) DEFAULT NULL COMMENT '出库用途(测试数据)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `b_sample_storage`
--

LOCK TABLES `b_sample_storage` WRITE;
/*!40000 ALTER TABLE `b_sample_storage` DISABLE KEYS */;
INSERT INTO `b_sample_storage` VALUES ('698BD2360CEE78602A7422DA95DB5BBB','B15C2120633B333D33F82A7FE80BEC52','3楼2房间-test-fan-CLtes0003',3,'2023-04-20 14:05:48','18A7EE925C8277F462EF4C5B892DA431','2024-04-20 14:05:48','test-myc',NULL,'2023-04-20 14:05:48','2023-04-20 14:06:03','test-myc','test-myc',0,NULL,NULL,'','72样本8','B','2023-04-06 00:00:00',1,'888');
/*!40000 ALTER TABLE `b_sample_storage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `destruction_detail`
--

DROP TABLE IF EXISTS `destruction_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `destruction_detail` (
  `id` varchar(11) NOT NULL COMMENT '主键id',
  `destruction_id` varchar(255) DEFAULT NULL COMMENT '销毁公示id',
  `sample_id` varchar(255) DEFAULT NULL COMMENT '销毁样本id',
  `create_time` datetime DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `destruction_detail`
--

LOCK TABLES `destruction_detail` WRITE;
/*!40000 ALTER TABLE `destruction_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `destruction_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `destruction_publicity`
--

DROP TABLE IF EXISTS `destruction_publicity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `destruction_publicity` (
  `id` varchar(255) NOT NULL COMMENT '主键id',
  `applicant_id` varchar(255) DEFAULT NULL COMMENT '申请人id',
  `reviewer_id` varchar(255) DEFAULT NULL COMMENT '审核人id',
  `destroy_quantity` bigint(10) DEFAULT NULL COMMENT '销毁样本数量',
  `destroy_company` varchar(255) DEFAULT NULL COMMENT '销毁单位',
  `destroy_date` datetime DEFAULT NULL COMMENT '销毁时间',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `status` int(1) DEFAULT NULL COMMENT '未发布/已发布',
  `create_time` datetime DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '--修改人',
  `release_date` datetime DEFAULT NULL COMMENT '发布时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `destruction_publicity`
--

LOCK TABLES `destruction_publicity` WRITE;
/*!40000 ALTER TABLE `destruction_publicity` DISABLE KEYS */;
/*!40000 ALTER TABLE `destruction_publicity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `out_warehouse_detailed`
--

DROP TABLE IF EXISTS `out_warehouse_detailed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `out_warehouse_detailed` (
  `id` varchar(255) NOT NULL COMMENT '--主键id',
  `apply_id` varchar(255) NOT NULL COMMENT '申请id',
  `sample_id` varchar(255) NOT NULL COMMENT '样本id',
  `create_time` datetime DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='出库明细';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `out_warehouse_detailed`
--

LOCK TABLES `out_warehouse_detailed` WRITE;
/*!40000 ALTER TABLE `out_warehouse_detailed` DISABLE KEYS */;
INSERT INTO `out_warehouse_detailed` VALUES ('B8FC4B249E8DBB0C662F7D8286EDA96F','8FC8D600FB37CCEAF373171242D36826','B15C2120633B333D33F82A7FE80BEC52','2023-04-20 14:06:18','2023-04-20 14:06:18','test-myc','test-myc');
/*!40000 ALTER TABLE `out_warehouse_detailed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sample_apply`
--

DROP TABLE IF EXISTS `sample_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sample_apply` (
  `id` varchar(255) NOT NULL COMMENT '主键id',
  `applicant_id` varchar(255) DEFAULT NULL COMMENT '申请人id',
  `application_date` datetime DEFAULT NULL COMMENT '申请日期',
  `application_status` int(11) DEFAULT NULL COMMENT '申请状态',
  `apply_quality` double DEFAULT NULL COMMENT '申请重量',
  `apply_quantity` int(11) DEFAULT NULL COMMENT '申请数量',
  `approval_date` datetime DEFAULT NULL COMMENT '审批人审批时间',
  `approver_id` varchar(255) DEFAULT NULL COMMENT '审批人id',
  `approver_opinion` text COMMENT '审批人意见',
  `first_auditor_id` varchar(255) DEFAULT NULL COMMENT '一级审核员id',
  `first_audit_date` datetime DEFAULT NULL COMMENT '一级审核时间',
  `first_audit_opinion` text COMMENT '一级审核意见',
  `reason` text COMMENT '申请原因',
  `secondary_audit_date` datetime DEFAULT NULL COMMENT '二级审核时间',
  `secondary_audit_opinion` text COMMENT '二级审核意见',
  `secondary_auditor_id` varchar(255) DEFAULT NULL COMMENT '二级审核员id',
  `apply_type` varchar(255) DEFAULT NULL COMMENT '申请类型:销毁/外带',
  `create_time` datetime DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '--修改人',
  `unit` varchar(255) DEFAULT NULL COMMENT '重量单位',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='检材申请实体类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sample_apply`
--

LOCK TABLES `sample_apply` WRITE;
/*!40000 ALTER TABLE `sample_apply` DISABLE KEYS */;
INSERT INTO `sample_apply` VALUES ('154A4866716C47C9BDB5CE9339A75CEB','text-myc','2023-03-23 15:52:04',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','哈哈','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-24 14:12:11','1','1','g'),('1EF448E93712580A133D79483402EB36','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('220D7BA318030CC65804EDA4970C25FF','test-myc','2023-04-20 14:38:40',0,NULL,1,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','123','2023-04-07 15:06:16','二级审核','1','1','2023-04-20 14:38:40','2023-04-20 14:38:40','test-myc','test-myc',NULL),('2A8367F4C0BE729AB1A1BA7988E02185','test-myc','2023-04-20 17:00:48',0,NULL,4,NULL,NULL,NULL,NULL,NULL,NULL,'吼吼吼吼吼吼吼吼吼吼吼吼吼吼吼',NULL,NULL,NULL,'1','2023-04-20 17:00:48','2023-04-20 17:00:48','test-myc','test-myc',NULL),('4991236DA645820C8F27E2BED0C2B19E','test-myc','2023-04-20 14:23:21',0,NULL,1,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','我喜欢','2023-04-07 15:06:16','二级审核','1','1','2023-04-20 14:23:21','2023-04-20 14:23:21','test-myc','test-myc',NULL),('6ACE4C9771C5F686835A4B789CA01B78','test-myc','2023-04-20 18:02:00',1,NULL,3,NULL,NULL,NULL,NULL,NULL,NULL,'9999',NULL,NULL,NULL,'1','2023-04-20 17:00:38','2023-04-20 18:02:00','test-myc','test-myc',NULL),('9','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('904BD490B692834C93E256B2E59931E9','test-myc','2023-04-20 14:25:25',0,NULL,1,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','我喜欢啊 不行吗','2023-04-07 15:06:16','二级审核','1','1','2023-04-20 14:25:25','2023-04-20 14:25:25','test-myc','test-myc',NULL),('9D711AF2BF5B6071EBB04A2BFE79B102','test-myc','2023-04-20 14:39:11',0,NULL,1,'2023-04-12 15:07:15','1','审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批审批','1','2023-04-12 15:06:41','一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核一级审核','我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢我喜欢','2023-04-07 15:06:16','二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核二级审核','1','1','2023-04-20 14:39:11','2023-04-20 14:39:11','test-myc','test-myc',NULL),('9D866AE53CE90501012ABDDFE4A826A5','test-myc','2023-04-20 14:36:07',0,NULL,3,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','6666666','2023-04-07 15:06:16','二级审核','1','1','2023-04-20 14:36:07','2023-04-20 14:36:07','test-myc','test-myc',NULL),('A30338C7506380F3131A6CEBFCEBB60F','test-myc','2023-04-20 17:03:35',0,NULL,2,NULL,NULL,NULL,NULL,NULL,NULL,'哈哈哈哈哈哈',NULL,NULL,NULL,'1','2023-04-20 17:03:35','2023-04-20 17:03:35','test-myc','test-myc',NULL),('B407DC1DB89A27A5082757418FCABB1A','test-myc','2023-04-20 14:23:15',0,NULL,1,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','我喜欢','2023-04-07 15:06:16','二级审核','1','1','2023-04-20 14:23:15','2023-04-20 14:23:15','test-myc','test-myc',NULL),('D1CBA377B3AF3FB433AB20E03A98C9D2','test-myc','2023-04-20 14:25:01',0,NULL,1,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','我喜欢啊 不行吗','2023-04-07 15:06:16','二级审核','1','1','2023-04-20 14:25:01','2023-04-20 14:25:01','test-myc','test-myc',NULL),('D49ABB942D3448B7FFC027325A7157C5','test-myc','2023-04-20 17:47:17',1,NULL,1,NULL,NULL,NULL,NULL,NULL,NULL,'2222',NULL,NULL,NULL,'1','2023-04-20 16:58:59','2023-04-20 17:47:17','test-myc','1',NULL),('DDF925D7A40CC5068B738AA4F13B2C30','test-myc','2023-04-20 17:01:23',0,NULL,4,NULL,NULL,NULL,NULL,NULL,NULL,'000000',NULL,NULL,NULL,'1','2023-04-20 17:01:23','2023-04-20 17:01:23','test-myc','test-myc',NULL),('F72882BA20D064B6F22E6C921FA62614','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('F72882BA20D064B6F22E6C921FA67614','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('F72882BA20D064B6F22E6C921FA67616','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('F72882BA20D064B6F22E6C921FA67619','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('F72882BA20D064B6F22E6C921FA676195555','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('F72882BA20D064B6F22E6C921FA6765','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('F72882BA20D064B6F22E6C921FA6769999','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('F72882BA20D064B6F22E6C92999FA67614','text-myc','2023-03-23 15:52:05',0,3.2,2,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','规格','2023-04-07 15:06:16','二级审核','1','1','2023-03-23 15:52:05','2023-03-23 15:52:05','1','1','g'),('FFBF18F0639FA24ED8BB75295A4E9AAD','test-myc','2023-04-20 14:25:13',0,NULL,1,'2023-04-12 15:07:15','1','审批','1','2023-04-12 15:06:41','一级审核','我喜欢啊 不行吗','2023-04-07 15:06:16','二级审核','1','1','2023-04-20 14:25:13','2023-04-20 14:25:13','test-myc','test-myc',NULL),('test','1',NULL,2,NULL,NULL,NULL,NULL,NULL,'1','2023-04-20 23:39:01','这个454545',NULL,NULL,NULL,'','1',NULL,'2023-04-20 23:39:01',NULL,'1',NULL);
/*!40000 ALTER TABLE `sample_apply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sample_apply_detailed`
--

DROP TABLE IF EXISTS `sample_apply_detailed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sample_apply_detailed` (
  `id` varchar(255) NOT NULL COMMENT 'id',
  `sample_id` varchar(255) DEFAULT NULL COMMENT '样本id',
  `apply_id` varchar(255) DEFAULT NULL COMMENT '申请id',
  `status` int(5) DEFAULT NULL COMMENT '1通过/-1不通过',
  `create_time` datetime DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '--修改人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sample_apply_detailed`
--

LOCK TABLES `sample_apply_detailed` WRITE;
/*!40000 ALTER TABLE `sample_apply_detailed` DISABLE KEYS */;
INSERT INTO `sample_apply_detailed` VALUES ('016f73129355399c08789646df26ab36','20B4714AE6D05D3A108FB93DE621751C','2A8367F4C0BE729AB1A1BA7988E02185',0,'2023-04-20 17:00:48','2023-04-20 17:00:48','test-myc','test-myc'),('043c24d1d8fbab195b15ba1b87252d2a','33CE6442AEC859E97787E1FFE273D28B','B407DC1DB89A27A5082757418FCABB1A',0,'2023-04-20 14:23:15','2023-04-20 14:23:15','test-myc','test-myc'),('0aa1f508d59a11f64afe3bb1bb3b386e','E88E547988E26D58EA64124BFB31E2FD','9D866AE53CE90501012ABDDFE4A826A5',0,'2023-04-20 14:36:07','2023-04-20 14:36:07','test-myc','test-myc'),('0b99f17a4390c63c194400b1e5311766','33CE6442AEC859E97787E1FFE273D28B','D1CBA377B3AF3FB433AB20E03A98C9D2',0,'2023-04-20 14:25:01','2023-04-20 14:25:01','test-myc','test-myc'),('0c05c8ed9ee488d9a3b42ba127c862f1','04F6E8B659AA152B7118D67146FD8F65','9D866AE53CE90501012ABDDFE4A826A5',0,'2023-04-20 14:36:07','2023-04-20 14:36:07','test-myc','test-myc'),('0dc7b733c03aee5e31859e8c313c3090','632E67E4710E55C1F149A8A8C3CC883D','DDF925D7A40CC5068B738AA4F13B2C30',0,'2023-04-20 17:01:23','2023-04-20 17:01:23','test-myc','test-myc'),('0e6effebc6530f22c8377ec7aff1cb81','632E67E4710E55C1F149A8A8C3CC883D','A30338C7506380F3131A6CEBFCEBB60F',0,'2023-04-20 17:03:35','2023-04-20 17:03:35','test-myc','test-myc'),('12366666','12366666','test',-1,NULL,'2023-04-20 23:39:01',NULL,'1'),('1ef1f599469f90fa47856c243ff73260','07AA201EA5A5EC62C04FB3375EF51C66','DDF925D7A40CC5068B738AA4F13B2C30',0,'2023-04-20 17:01:23','2023-04-20 17:01:23','test-myc','test-myc'),('4a75','E88E547988E26D58EA64124BFB31E2FD','9D711AF2BF5B6071EBB04A2BFE79B102',1,'2023-04-20 14:38:40','2023-04-20 14:38:40','test-myc','test-myc'),('4a7566666','E88E547988E26D58EA64124BFB31E2FD','9D711AF2BF5B6071EBB04A2BFE79B102',-1,'2023-04-20 14:38:40','2023-04-20 14:38:40','test-myc','test-myc'),('4a7b8ae049043e75bba55bbbfaef0f4d','90DE0E82DD6DA6A5802B9C428B97D787','220D7BA318030CC65804EDA4970C25FF',0,'2023-04-20 14:38:40','2023-04-20 14:38:40','test-myc','test-myc'),('52ba35b8a539a30505ee0f037e1d2f44','07AA201EA5A5EC62C04FB3375EF51C66','9D711AF2BF5B6071EBB04A2BFE79B102',0,'2023-04-20 14:39:11','2023-04-20 14:39:11','test-myc','test-myc'),('5796198d96382753c1fb8eb99d096ce8','07AA201EA5A5EC62C04FB3375EF51C66','2A8367F4C0BE729AB1A1BA7988E02185',0,'2023-04-20 17:00:48','2023-04-20 17:00:48','test-myc','test-myc'),('581dda778cdd398a44ab332f821cd560','E88E547988E26D58EA64124BFB31E2FD','6ACE4C9771C5F686835A4B789CA01B78',0,'2023-04-20 18:02:00','2023-04-20 18:02:00','test-myc','test-myc'),('72450c08c744642251f7f0d6263e9fca','33CE6442AEC859E97787E1FFE273D28B','FFBF18F0639FA24ED8BB75295A4E9AAD',0,'2023-04-20 14:25:13','2023-04-20 14:25:13','test-myc','test-myc'),('74305d88c278710d32fb76f8e90dc9e9','E88E547988E26D58EA64124BFB31E2FD','DDF925D7A40CC5068B738AA4F13B2C30',0,'2023-04-20 17:01:23','2023-04-20 17:01:23','test-myc','test-myc'),('7d91fa302f92d614f80a8b0d15753d2d','E88E547988E26D58EA64124BFB31E2FD','2A8367F4C0BE729AB1A1BA7988E02185',0,'2023-04-20 17:00:48','2023-04-20 17:00:48','test-myc','test-myc'),('a0a4bda0743e313862973c438bebb9ec','07AA201EA5A5EC62C04FB3375EF51C66','D49ABB942D3448B7FFC027325A7157C5',0,'2023-04-20 17:47:17','2023-04-20 17:47:17','1','1'),('a3b7b997168bc8dd64934fc43167ba1a','33CE6442AEC859E97787E1FFE273D28B','4991236DA645820C8F27E2BED0C2B19E',0,'2023-04-20 14:23:21','2023-04-20 14:23:21','test-myc','test-myc'),('b874a10997a831788d565b276758f723','E88E547988E26D58EA64124BFB31E2FD','2A8367F4C0BE729AB1A1BA7988E02185',0,'2023-04-20 17:00:48','2023-04-20 17:00:48','test-myc','test-myc'),('b9db27c33badfd3ff4f400004bc90470','07AA201EA5A5EC62C04FB3375EF51C66','6ACE4C9771C5F686835A4B789CA01B78',0,'2023-04-20 18:02:00','2023-04-20 18:02:00','test-myc','test-myc'),('d0566172d90888472be8a9ce4f529fa6','33CE6442AEC859E97787E1FFE273D28B','9D866AE53CE90501012ABDDFE4A826A5',0,'2023-04-20 14:36:07','2023-04-20 14:36:07','test-myc','test-myc'),('ecf318d0819a3a749edbdf1063c23443','07AA201EA5A5EC62C04FB3375EF51C66','6ACE4C9771C5F686835A4B789CA01B78',0,'2023-04-20 18:02:00','2023-04-20 18:02:00','test-myc','test-myc'),('f7b7bfe0a17382e4601fba3b34ffe1dc','E88E547988E26D58EA64124BFB31E2FD','904BD490B692834C93E256B2E59931E9',0,'2023-04-20 14:25:25','2023-04-20 14:25:25','test-myc','test-myc'),('f8a863ed2b59b3764d643f9c913f7717','07AA201EA5A5EC62C04FB3375EF51C66','A30338C7506380F3131A6CEBFCEBB60F',0,'2023-04-20 17:03:35','2023-04-20 17:03:35','test-myc','test-myc'),('f9a09d018efaed4c5055046648a6ddb1','E88E547988E26D58EA64124BFB31E2FD','DDF925D7A40CC5068B738AA4F13B2C30',0,'2023-04-20 17:01:23','2023-04-20 17:01:23','test-myc','test-myc');
/*!40000 ALTER TABLE `sample_apply_detailed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sample_inbound_and_outbound_table`
--

DROP TABLE IF EXISTS `sample_inbound_and_outbound_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sample_inbound_and_outbound_table` (
  `id` varchar(255) NOT NULL COMMENT '主键id',
  `appraiser_id` varchar(255) DEFAULT NULL COMMENT '鉴定人--也是领取人',
  `out_warehouse_date` datetime DEFAULT NULL COMMENT '分析样出库时间',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `sample_id` varchar(255) DEFAULT NULL COMMENT '样本id',
  `warehousing_date` datetime(6) DEFAULT NULL COMMENT '入库时间',
  `im_administrators` varchar(255) DEFAULT NULL COMMENT '检材管理员',
  `recipient` varchar(255) DEFAULT NULL COMMENT '存放人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '--修改人',
  `return_time` datetime DEFAULT NULL COMMENT '归还时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sample_inbound_and_outbound_table`
--

LOCK TABLES `sample_inbound_and_outbound_table` WRITE;
/*!40000 ALTER TABLE `sample_inbound_and_outbound_table` DISABLE KEYS */;
INSERT INTO `sample_inbound_and_outbound_table` VALUES ('2744DEC7FDFE33B677A0E68755923219','0200BE816125C8260D3A191B209115DF','2023-04-20 14:06:50','888','B15C2120633B333D33F82A7FE80BEC52','2023-04-20 14:05:48.492000','test-myc','test-myc','2023-04-20 14:05:48','2023-04-20 14:05:48','test-myc','test-myc','2023-04-06 00:00:00');
/*!40000 ALTER TABLE `sample_inbound_and_outbound_table` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sample_inbound_record`
--

DROP TABLE IF EXISTS `sample_inbound_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sample_inbound_record` (
  `id` varchar(255) NOT NULL COMMENT '主键id',
  `warehousing_date` datetime DEFAULT NULL COMMENT '入库时间',
  `im_administrators` varchar(255) DEFAULT NULL COMMENT '检材管理员id',
  `sample_id` varchar(50) DEFAULT NULL COMMENT '样本id',
  `warehousing_person_id` varchar(255) DEFAULT NULL COMMENT '入库人id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '修改人',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `name` varchar(255) DEFAULT NULL COMMENT '样本名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sample_inbound_record`
--

LOCK TABLES `sample_inbound_record` WRITE;
/*!40000 ALTER TABLE `sample_inbound_record` DISABLE KEYS */;
INSERT INTO `sample_inbound_record` VALUES ('8CAE9AB29B7EE118F1F4D4C1279133F9','2023-04-20 14:05:48','test-myc','B15C2120633B333D33F82A7FE80BEC52','test-myc','2023-04-20 14:05:48','2023-04-20 14:05:48','test-myc','test-myc','检材入库','72样本8');
/*!40000 ALTER TABLE `sample_inbound_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sample_out_warehouse_apply`
--

DROP TABLE IF EXISTS `sample_out_warehouse_apply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sample_out_warehouse_apply` (
  `id` varchar(255) NOT NULL COMMENT '主键id',
  `applicant_id` varchar(255) DEFAULT NULL COMMENT '申请人id',
  `application_date` datetime DEFAULT NULL COMMENT '申请时间',
  `purpose` varchar(255) DEFAULT NULL COMMENT '出库用途',
  `return_date` datetime DEFAULT NULL COMMENT '归还日期',
  `sample_code_number` varchar(10) DEFAULT NULL COMMENT '取检码',
  `status` tinyint(1) NOT NULL COMMENT '申请状态:待同意/拒绝/同意/已经失效',
  `appraiser_id` varchar(255) DEFAULT NULL COMMENT '鉴定人id',
  `create_time` datetime DEFAULT NULL COMMENT '--创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '--修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '--创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '--修改人',
  `im_administrators_id` varchar(255) DEFAULT NULL COMMENT '检材管理员',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='样本出库申请实体类';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sample_out_warehouse_apply`
--

LOCK TABLES `sample_out_warehouse_apply` WRITE;
/*!40000 ALTER TABLE `sample_out_warehouse_apply` DISABLE KEYS */;
INSERT INTO `sample_out_warehouse_apply` VALUES ('8FC8D600FB37CCEAF373171242D36826','test-myc','2023-04-20 14:06:18','888','2023-04-06 00:00:00','916112',3,'0200BE816125C8260D3A191B209115DF','2023-04-20 14:06:18','2023-04-20 14:06:50','test-myc','test-myc','test-myc');
/*!40000 ALTER TABLE `sample_out_warehouse_apply` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sample_outbound_record`
--

DROP TABLE IF EXISTS `sample_outbound_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sample_outbound_record` (
  `id` varchar(50) NOT NULL COMMENT '主键id',
  `sample_id` varchar(50) DEFAULT NULL COMMENT '样本id',
  `recipient_id` varchar(30) DEFAULT NULL COMMENT '领取人id',
  `reason` varchar(255) DEFAULT NULL COMMENT '原因/备注',
  `name` varchar(255) DEFAULT NULL COMMENT '样本名称',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(255) DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) DEFAULT NULL COMMENT '修改人',
  `outbound_type` int(2) DEFAULT NULL COMMENT '出库类型:1.领用/2.销毁/3.退还',
  `outbound_date` datetime DEFAULT NULL COMMENT '出库时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sample_outbound_record`
--

LOCK TABLES `sample_outbound_record` WRITE;
/*!40000 ALTER TABLE `sample_outbound_record` DISABLE KEYS */;
INSERT INTO `sample_outbound_record` VALUES ('4E96B98E38A35D952B2C4FB9DE01A812',NULL,'test-myc','888','72样本8','2023-04-20 14:06:50','2023-04-20 14:06:50','test-myc','test-myc',1,'2023-04-20 14:06:50');
/*!40000 ALTER TABLE `sample_outbound_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `storage_cell`
--

DROP TABLE IF EXISTS `storage_cell`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `storage_cell` (
  `id` varchar(255) NOT NULL COMMENT '主键id',
  `cell_no` varchar(255) NOT NULL COMMENT '格子编号',
  `box_id` varchar(255) DEFAULT NULL COMMENT '存储物品id',
  `status` tinyint(1) DEFAULT NULL COMMENT '状态:已存放物品/未存放物品',
  `sort` bigint(10) DEFAULT NULL COMMENT '排序',
  `cupboard_id` varchar(255) NOT NULL COMMENT '柜子id',
  `cell_photo` varchar(255) DEFAULT NULL COMMENT '格子照片',
  `create_by` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_By` varchar(255) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `content` varchar(255) DEFAULT NULL COMMENT '描述内容',
  `file_name` varchar(255) DEFAULT NULL COMMENT '照片名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `storage_cell`
--

LOCK TABLES `storage_cell` WRITE;
/*!40000 ALTER TABLE `storage_cell` DISABLE KEYS */;
INSERT INTO `storage_cell` VALUES ('18A7EE925C8277F462EF4C5B892DA431','CLtes0003',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E','cell/18A7EE925C8277F462EF4C5B892DA431','1','2023-04-18 00:09:37','1','2023-04-18 13:46:19',NULL,'QQ图片20190314125557.jpg'),('2DA415972D3CC2D68053C029F58E7F4B','CLtes0006',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('30BBD1EAC7A6A072BD96F536CF49045D','CLtes0004',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('3840D693810A7162216C452AED3BAB6C','CLtes0010',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('3DADBCB5C5520962F87C7F6B6998D702','CLtes0002',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('526AA9BBAAF989FF7BA837B7D2AE3FFF','CLtes0008',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('53E2378532DE32415DD0ACB97AAF28AA','CLtes0001',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('5CB97667FAE39988D6CC47A632CE6EC3','CLtes0006',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('5DBABCFB732A021CD6058DED3C8B434D','CLtes0002',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('6DA5D0CB6775C373259CC548B51B8387','CLtes0005',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('791119222D9CC33B8EA399031D0FF17A','CLtes0008',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('8395210C1DD98B2207CE0F18311FED4C','CLtes0003',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('A675262AF995268CCF715D3B4CA94A89','CLtes0004',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('B20D6691C711EEDB8548142AEA797CC3','CLtes0005',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('B30886B4984BCB2E8BE82C532EA8D9BA','CLtes0007',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('BC5E0B5B1CB5126CD844A9B877F59B89','CLtes0009',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:37','1','2023-04-18 00:09:37',NULL,NULL),('D96D85799A8A9B0640192ABBE48FE44A','CLtes0009',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('E38BAD44FEB528FAF7C7076CC83062FC','CLtes0010',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('E7911F2C14447F966E84BAC48BF2E444','CLtes0007',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL),('EF3AE14FD91BFD2AA0E4CA04A912E073','CLtes0001',NULL,0,NULL,'34EECFAFC3C01A5B5BB56994ACAC655E',NULL,'1','2023-04-18 00:09:44','1','2023-04-18 00:09:44',NULL,NULL);
/*!40000 ALTER TABLE `storage_cell` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `storage_cupboard`
--

DROP TABLE IF EXISTS `storage_cupboard`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `storage_cupboard` (
  `id` varchar(255) NOT NULL COMMENT '柜子id',
  `name` varchar(255) DEFAULT NULL COMMENT '柜子名称',
  `cupboard_no` varchar(255) DEFAULT NULL COMMENT '柜子编号',
  `specifications` int(5) DEFAULT NULL COMMENT '规格',
  `storage_type` varchar(255) DEFAULT NULL COMMENT '存储类型(测试)',
  `status` tinyint(1) DEFAULT NULL COMMENT '状态(正常/停用)--测试数据',
  `room_id` varchar(255) DEFAULT NULL COMMENT '房间id',
  `cupboard_photo` varchar(255) DEFAULT NULL COMMENT '柜子照片',
  `create_by` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_By` varchar(255) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `sort` bigint(10) DEFAULT NULL COMMENT '排序',
  `cupboard_type` varchar(255) DEFAULT NULL COMMENT '柜子/货架',
  `rule` int(2) DEFAULT NULL COMMENT '1规则/2不规则',
  `file_name` varchar(255) DEFAULT NULL COMMENT '照片名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `storage_cupboard`
--

LOCK TABLES `storage_cupboard` WRITE;
/*!40000 ALTER TABLE `storage_cupboard` DISABLE KEYS */;
INSERT INTO `storage_cupboard` VALUES ('34EECFAFC3C01A5B5BB56994ACAC655E','检材柜88888','test-fan',10,NULL,1,'test01','cupboard/34EECFAFC3C01A5B5BB56994ACAC655E','1','2023-04-18 00:09:44',NULL,'2023-04-18 00:09:44',NULL,NULL,NULL,'495.jpg'),('FEBA7CFB63B2EE89418050B03FE0F241','检材柜66666','test-fan',10,NULL,1,'test01','cupboard/FEBA7CFB63B2EE89418050B03FE0F241','1','2023-04-18 00:09:37',NULL,'2023-04-18 00:39:19',NULL,NULL,NULL,'001b389989a80a15b1b501.jpg');
/*!40000 ALTER TABLE `storage_cupboard` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `storage_room`
--

DROP TABLE IF EXISTS `storage_room`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `storage_room` (
  `id` varchar(255) NOT NULL COMMENT '主键id',
  `name` varchar(255) DEFAULT NULL COMMENT '房间名称(冷冻356)',
  `room_location` varchar(255) DEFAULT NULL COMMENT '房间位置(3楼356)',
  `room_photo` varchar(255) DEFAULT NULL COMMENT '房间照片',
  `create_by` varchar(255) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_By` varchar(255) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `sort` bigint(10) DEFAULT NULL COMMENT '排序',
  `file_name` varchar(255) DEFAULT NULL COMMENT '照片名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `storage_room`
--

LOCK TABLES `storage_room` WRITE;
/*!40000 ALTER TABLE `storage_room` DISABLE KEYS */;
INSERT INTO `storage_room` VALUES ('test01','存储室302','3楼2房间','room/test01','1','2023-03-24 10:26:47','1','2023-04-17 14:05:08',1,'9bd00b47b989f69a776c273f1c4fbb1b.jpg'),('test09','存储室3666','3楼2房间','','1','2023-03-24 10:26:47','1','2023-04-17 14:05:08',1,'');
/*!40000 ALTER TABLE `storage_room` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `undo_log`
--

DROP TABLE IF EXISTS `undo_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `undo_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `branch_id` bigint(20) NOT NULL,
  `xid` varchar(100) NOT NULL,
  `context` varchar(128) NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int(11) NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  `ext` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ux_undo_log` (`xid`,`branch_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `undo_log`
--

LOCK TABLES `undo_log` WRITE;
/*!40000 ALTER TABLE `undo_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `undo_log` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-04-21  0:10:38
