package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 检材/样本存放dto
 *
 */

@Data
@ApiModel(value = "样本存放dto")
public class DepositDTO {



    //可多个检材存放到一个格子


    /**
     *  buildingLv:'', //楼层
     * roomNo:'', //房间号
     * boxId: '', //柜子id
     * cabinetName
     */
    @ApiModelProperty(value="楼层")
    private String buildingLv;

    @ApiModelProperty(value="房间号")
    private String roomNo;

    @ApiModelProperty(value="柜子名称")
    private String cabinetName;

    @ApiModelProperty(value="柜子id")
    private String boxId;


    /**
     * 样本存放id---主键id
     */
    @ApiModelProperty(value="样本存放id---主键id")
    private List<String> ids;


    @ApiModelProperty(value="详细位置")
    private String storageLocation;

    /**
     * 存放格子id
     */
    @ApiModelProperty(value="存放格子id")
    private String cellId;


    @ApiModelProperty(value="格子状态")
    private String cellStatus;

    @ApiModelProperty(value="存放类型，0 系统检材存放 | 1 毒品检材存放")
    private Integer type = 0;
}
