package digital.laboratory.platform.imr.dto;


import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.time.LocalDate;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class DestructionPublicityDTO {


    /**
     * 主键id
     */
    private String id;

    /**
     * 审核人id
     */
    @ApiModelProperty(value="审核人id")
    private String reviewerId;

    /**
     * 销毁单位
     */
    @ApiModelProperty(value="销毁单位")
    private String destroyCompany;

    /**
     * 销毁时间
     */
    @ApiModelProperty(value="销毁时间")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd, timezone = DateUtils.TIME_ZONE)
    @JSONField(format = DateUtils.yyyy_MM_dd)
    private LocalDate destroyDate;

    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    private String remarks;


    /**
     *
     */
    @ApiModelProperty(value="销毁公示样本id集合--sampleIds")
    private List<String> sampleIds;
}
