package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-23 11:57:26
 * @describe  实体类
 */
@Data
@TableName(value = "destruction_publicity", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "检材销毁与公示管理")
public class DestructionPublicity extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * 申请人id
     */
    @ApiModelProperty(value="申请人id")
    private String applicantId;

    /**
     * 审核人id
     */
    @ApiModelProperty(value="审核人id")
    private String reviewerId;

    /**
     * 销毁样本数量
     */
    @ApiModelProperty(value="销毁样本数量")
    private Integer destroyQuantity;

    /**
     * 销毁单位
     */
    @ApiModelProperty(value="销毁单位")
    private String destroyCompany;

    /**
     * 销毁时间
     */
    @ApiModelProperty(value="销毁时间")
    private LocalDate destroyDate;

    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    private String remarks;

    /**
     * 未发布/已发布
     */
    @ApiModelProperty(value="-1未发布/1已发布")
    private Integer status;


    /**
     * 发布时间
     */
    @ApiModelProperty(value="发布时间")
    private LocalDateTime ReleaseDate;


}
