package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-05-08 17:32:13
 * @describe  实体类
 */
@Data
@TableName(value = "b_identification_material_transfer_retained_annex", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "留存样出入库(流转记录附属表)")
public class IdentificationMaterialTransferRetainedAnnex extends BaseEntity {

    /**
     * 流转附件表id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="流转附件表id")
    private String id;

    /**
     * 留存样入库时间
     */
    @ApiModelProperty(value="留存样入库时间")
    private LocalDateTime retainedSampleInboundDate;

    /**
     * 留存样出库时间
     */
    @ApiModelProperty(value="留存样出库时间")
    private LocalDateTime retainedSampleOutboundDate;

    /**
     * 留存样入库质量
     */
    @ApiModelProperty(value="留存样入库质量")
    private BigDecimal retainedSampleInboundQuality;

    /**
     * 留存样出库质量
     */
    @ApiModelProperty(value="留存样出库质量")
    private BigDecimal retainedSampleOutboundQuality;

    /**
     * 入库样本管理员id
     */
    @ApiModelProperty(value="入库样本管理员id")
    private String inboundAdminId;

    /**
     * 出库样本管理员id
     */
    @ApiModelProperty(value="出库样本管理员id")
    private String outboundAdminId;

    /**
     * 入库监督人id
     */
    @ApiModelProperty(value="入库监督人id")
    private String inboundAppraiserId;

    /**
     * 出库监督人id
     */
    @ApiModelProperty(value="出库监督人id")
    private String outboundAppraiserId;

    /**
     * 入库经手人
     */
    @ApiModelProperty(value="入库经手人")
    private String inboundHandledBy;

    /**
     * 出库经手人
     */
    @ApiModelProperty(value="出库经手人")
    private String outboundHandledBy;

    /**
     * 样本id
     */
    @ApiModelProperty(value="样本id")
    private String sampleId;


}
