package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import digital.laboratory.platform.imr.enums.OutboundType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-04-15 10:20:58
 * @describe  实体类
 */
@Data
@TableName(value = "sample_outbound_record", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "样本出库记录")
public class SampleOutboundRecord extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * 样本id
     */
    @ApiModelProperty(value="样本id")
    private String sampleId;

    /**
     * 领取人id
     */
    @ApiModelProperty(value="领取人id")
    private String recipientId;

    /**
     * 原因/备注
     */
    @ApiModelProperty(value="原因/备注")
    private String reason;

    /**
     * 样本名称
     */
    @ApiModelProperty(value="样本名称")
    private String name;


    /**
     * 出库类型:1.领用/2.销毁/3.退还
     */
    @ApiModelProperty(value="出库类型:1.领用/2.销毁/3.退还")
    private OutboundType outboundType;

    @ApiModelProperty(value="出库时间")
    private LocalDateTime outboundDate;


}
