package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.imr.entity.DrugHandingOverApply;
import digital.laboratory.platform.imr.vo.DrugHandingOverApplyVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* @author ChenJiangBao
* @description 针对表【b_drug_handing_over_apply(毒品库中关联的案事件信息)】的数据库操作Mapper
* @createDate 2025-01-08 17:30:46
* @Entity generator.entity.DrugHandingOverApply
*/
@Mapper
public interface DrugHandingOverApplyMapper extends BaseMapper<DrugHandingOverApply> {

    /**
     * 查询毒品送缴申请分页信息
     *
     * @param page 分页对象，包含页码、每页显示条数等信息
     * @param qw 查询条件对象，用于设置查询条件
     * @return 包含毒品送缴申请分页信息的IPage对象
     */
    IPage<DrugHandingOverApplyVO> queryDrugHandingOverApplyVOPage(Page<DrugHandingOverApply> page, @Param(Constants.WRAPPER) Wrapper<DrugHandingOverApply> qw);
}




