package digital.laboratory.platform.imr.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import digital.laboratory.platform.imr.dto.base.BaseQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
@ApiModel(value = "DrugStatisticQuery", description = "毒品送缴量统计 - 查询对象")
public class DrugStatisticQuery {

    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd)
    private LocalDate startDate;

    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd)
    private LocalDate endDate;

    @ApiModelProperty(value = "送缴单位 统计")
    private String orgId;

    @ApiModelProperty(value = "毒品种类")
    private String drugType;
}
