package digital.laboratory.platform.imr.service;

import digital.laboratory.platform.imr.query.DrugStatisticQuery;
import digital.laboratory.platform.imr.vo.DrugStatisticVO;
import digital.laboratory.platform.sys.entity.DrugLite;

import java.util.List;

/**
 * 毒品库送缴量统计 服务处接口
 */
public interface DrugHandingOverStatisticService {
    /**
     * 获取统计图的数据， 根据时间范围, 送缴单位，毒品种类返回数据
     * @param query
     * @return
     */
    DrugStatisticVO statistic(DrugStatisticQuery query);

    /**
     * 获取统计图中可以根据毒品进行分类统计的选项
     * @return
     */
    List<DrugLite> getDrugNameList();

}
