package digital.laboratory.platform.imr.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 毒品检材的领用归还记录表 VO类
 * @TableName b_drug_usage_record
 */
@Data
@ApiModel(value = "DrugUsageRecordVO", description = "毒品检材的领用归还记录表 VO类")
public class DrugUsageRecordVO {

    @ApiModelProperty("主键id")
    private String id;

    /**
     * 关联领用的毒品id
     */
    @ApiModelProperty("关联领用的毒品id")
    private List<String> drugIds;

    /**
     * 领用物品名称
     */
    @ApiModelProperty("领用物品名称")
    private String usageName;

    /**
     * 领用时间
     */
    @ApiModelProperty("领用时间")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd_HH_mm_ss, timezone = DateUtils.TIME_ZONE)
    private LocalDateTime usageDate;

    /**
     * 领用目的
     */
    @ApiModelProperty("领用目的")
    private String usagePurpose;

    /**
     * 领用申请人
     */
    @ApiModelProperty("领用申请人id")
    private String applicant;

    /**
     * 领用申请人姓名
     */
    @ApiModelProperty("领用申请人姓名")
    private String applicantName;

    @ApiModelProperty("领用的毒品检材详情信息列表")
    private List<DrugMaterialInfoVO> drugMaterialInfoVOList;
}